import { SelectedVal } from "../../../../../generators/ISparJson";
import ISparnaturalSpecification from "../../../../../spec-providers/ISparnaturalSpecification";
import ArrowComponent from "../../../../buttons/ArrowComponent";
import HTMLComponent from "../../../../HtmlComponent";
import CriteriaGroup from "../CriteriaGroup";
/**
 * Refactored to extract this from InputTypeComponent
 **/
declare class ObjectPropertyTypeId extends HTMLComponent {
    #private;
    GrandParent: CriteriaGroup;
    temporaryLabel: string;
    startClassVal: SelectedVal;
    endClassVal: SelectedVal;
    oldWidget: JQuery<HTMLElement>;
    arrow: ArrowComponent;
    specProvider: ISparnaturalSpecification;
    selectBuilder: PropertySelectBuilder;
    constructor(ParentComponent: HTMLComponent, specProvider: ISparnaturalSpecification, temporaryLabel: string, startClassVal: SelectedVal);
    render(): this;
    setEndClassVal(endClassVal: SelectedVal): void;
}
export default ObjectPropertyTypeId;
/**
 * Builds a selector for property based on provided domain and range, by reading the
 * configuration.
 * Example: changes the relationship from 'Country relatedTo Museum' => 'Country countryOf Museum'
 * There can be multiple connectingProperties. User might need to choose.
 **/
declare class PropertySelectBuilder {
    #private;
    items: Array<string>;
    specProvider: ISparnaturalSpecification;
    constructor(specProvider: any);
    buildPropertySelect(domainClassID: string, rangeClassID: string, default_value: string): JQuery<HTMLElement>;
}
