import { Pattern } from "sparqljs";
import { SelectedVal } from "../../../generators/ISparJson";
import { SparqlTemplateListHandler } from "../autocomplete/AutocompleteAndListHandlers";
import WidgetWrapper from "../../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
import "select2";
import "select2/dist/css/select2.css";
import { ListWidget } from "./ListWidget";
import { WidgetValue } from "../AbstractWidget";
export declare class LiteralListWidgetValue implements WidgetValue {
    value: {
        label: string;
        literal: string;
    };
    key(): string;
    constructor(v: LiteralListWidgetValue["value"]);
}
export declare class LiteralListWidget extends ListWidget {
    constructor(parentComponent: WidgetWrapper, listHandler: SparqlTemplateListHandler, sort: boolean, startClassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal);
    buildValue(uri: string, label: string): WidgetValue;
    parseInput(input: LiteralListWidgetValue["value"]): WidgetValue;
    /**
     *
     * @returns As we are generating a FILTER for literal lists, never block the object prop
     */
    isBlockingObjectProp(): boolean;
    /**
     * Yes, I know it's weird but you MUST NOT block end here, otherwise the intersection triple is not generated
     * @returns
     */
    isBlockingEnd(): boolean;
    getRdfJsPattern(): Pattern[];
}
