import { OptionalPattern, Pattern, Triple, Variable } from "sparqljs";
import EndClassGroup from "../../components/builder-section/groupwrapper/criteriagroup/startendclassgroup/EndClassGroup";
import StartClassGroup from "../../components/builder-section/groupwrapper/criteriagroup/startendclassgroup/StartClassGroup";
import ISparnaturalSpecification from "../../spec-providers/ISparnaturalSpecification";
export default class ClassBuilder {
    #private;
    protected resultPtrn: Pattern[];
    protected specProvider: ISparnaturalSpecification;
    protected classGroup: StartClassGroup | EndClassGroup;
    protected classTriple: Triple;
    protected defaultLblPatterns: Pattern[];
    protected defaultInOptional: OptionalPattern;
    protected widgetIsBlocking: boolean;
    protected typePredicate: string;
    constructor(classGroup: StartClassGroup | EndClassGroup, specProvider: ISparnaturalSpecification, widgetIsBlocking: boolean, typePredicate?: string);
    build(): void;
    getPattern(): Pattern[];
    /**
     * @returns the defaultLabel variable, only in the case the variable is selected for inclusion as a column
     */
    getDefaultVar(): Variable;
}
