import { Quad, Store } from "n3";
export declare class BaseRDFReader {
    protected lang: string;
    protected store: Store<Quad>;
    constructor(n3store: Store<Quad>, lang: string);
    static buildStore(string: any, filePath: string, callback: any): void;
    /**
     * Reads the given property on an entity, and return values as an array
     **/
    _readAsResource(uri: any, property: any): any[];
    /**
     * Reads the given property on an entity, and returns the first value found, or null if not found
     **/
    _readAsSingleResource(uri: any, property: any): any;
    _readAsLiteral(uri: any, property: any): any[];
    _readAsSingleLiteral(uri: any, property: any): any;
    _readAsLiteralWithLang(uri: any, property: any, lang: any, defaultToNoLang?: boolean): string;
    _readAsRdfNode(rdfNode: any, property: any): any[];
    _hasProperty(rdfNode: any, property: any): boolean;
    /**
    * Reads rdf:type(s) of an entity, and return them as an array
    **/
    _readRdfTypes(uri: any): any[];
    /****** LIST HANDLING ********/
    _readList_rec(list: any): any[];
    _readRootList(listId: any): any;
    _readSuperList(listId: any): string;
    _pushIfNotExist(item: any, items: any[]): any[];
}
