import { NamedNode, Quad, Store } from "n3";
import ISparnaturalSpecification from "../ISparnaturalSpecification";
import { BaseRDFReader } from "../BaseRDFReader";
import ISpecificationEntity from "../ISpecificationEntity";
import ISpecificationProperty from "../ISpecificationProperty";
export declare const RDF: {
    TYPE: NamedNode<string>;
    FIRST: NamedNode<string>;
    REST: NamedNode<string>;
    NIL: NamedNode<string>;
};
export declare const RDFS: {
    LABEL: NamedNode<string>;
    DOMAIN: NamedNode<string>;
    RANGE: NamedNode<string>;
    SUBPROPERTY_OF: NamedNode<string>;
    SUBCLASS_OF: NamedNode<string>;
};
export declare const GEOF: {
    WITHIN: NamedNode<string>;
};
export declare const OWL: {
    EQUIVALENT_PROPERTY: NamedNode<string>;
    EQUIVALENT_CLASS: NamedNode<string>;
    UNION_OF: NamedNode<string>;
};
export declare class OWLSpecificationProvider extends BaseRDFReader implements ISparnaturalSpecification {
    #private;
    constructor(n3store: Store<Quad>, lang: string);
    getEntity(entityUri: string): ISpecificationEntity;
    getProperty(property: string): ISpecificationProperty;
    getAllSparnaturalEntities(): any[];
    getEntitiesInDomainOfAnyProperty(): any[];
    isSparnaturalClass(classUri: string): boolean;
    expandSparql(sparql: string, prefixes: {
        [key: string]: string;
    }): string;
    _sort(items: any[]): any[];
    /**
     * Reads config:order of an entity and returns it, or null if not set
     **/
    _readOrder(uri: any): any;
    /*** Handling of UNION classes ***/
    _readUnionContent(classUri: any): any[];
    _isUnionClass(classUri: any): boolean;
}
